Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class GreyDilateOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.GreyDilateOp

public class GreyDilateOp
extends StandardGreyOp

Performs the morphological operation of dilation on a greyscale image.

Version:
  1.0 [1999/08/31]
Author:
  Nick Efford

Constructor Summary
`GreyDilateOp(GreyStructElement element)` Creates a GreyDilateOp that uses the specified structuring element.
`GreyDilateOp(GreyStructElement element, boolean rescale)` Creates a GreyDilateOp with the specified structuring element.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs morphological dilation of a greyscale image.

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreyDilateOp

    public GreyDilateOp(GreyStructElement element)

  Creates a GreyDilateOp that uses the specified structuring element. Output values will be truncated, rather than rescaled, to a 0-255 range.
  Parameters:
    `element` - structuring element

### GreyDilateOp

    public GreyDilateOp(GreyStructElement element,
                        boolean rescale)

  Creates a GreyDilateOp with the specified structuring element. Output values will be truncated or rescaled, according to the value of the boolean flag.
  Parameters:
    `element` - structuring element
    `rescale` - flag to indicate whether rescaling is required

Method Detail

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs morphological dilation of a greyscale image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    dilated image.
  Overrides:
    filter in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD